﻿@font-face {
    font-family: SuisseIntl-Bold;
    src: url(/app/fonts/SuisseIntl-Bold.otf) format('truetype');
}

@font-face {
    font-family: SuisseIntl-Regular;
    src: url(/app/fonts/SuisseIntl-Regular.otf) format('truetype');
}

@media all and (max-width: 540px) {
    .message-alert {
        width: auto;
        margin-left: 0;
        margin-right: 0;
        right: 15px;
    }
}


@media only screen and (max-width: 767px) {
    content-item-mobile .question img {
        max-width: 80vw;
    }

    .index-bodyContainer {
        min-width: inherit !important;
    }

    .main-header .navbar-toggle-x {
        margin-top: 12px;
        font-size: 22px;
        padding: 0px 11px;
    }

    .message-alert .btn.btn-primary {
        width: 100%;
    }

    /* Bootstrap */
    body .ngdialog.ngdialog-theme-default {
        padding-top: 5%!important;
        padding-bottom: 5%!important;
        z-index:99999999;
    }
    .ngdialog .ngdialog-content {
        /*max-height:100%;*/
        max-height:90vh;
        /*height:100%;*/
        height:auto;
        /*top: 50%;*/
        /*transform: translateY(-50%);*/
    }
    .ngdialog.ava-dialog .ngdialog-content {
		top: unset;
		transform: unset;
	}
    .ngdialog .tc-popup {
        display:flex;
        flex-direction:column;
        justify-content:center;
    }
    .ngdialog .tc-content {
        flex-shrink: 1;
        /*max-height: 500px;*/
        /*height: 100%;*/
        overflow:scroll;
        /*max-height:500px;
        height:60vh;*/
    }
    .ngdialog-open .ngdialog.ngdialog-theme-default .ngdialog-content {
        width: auto;
        margin-left: 15px;
        margin-right: 15px;        
    }
    /* new deposit dialog fix for small screens */
    .ngdialog-open .ngdialog.new-deposit-dialog.ngdialog-theme-default .ngdialog-content {
        @media all and (max-width: 370px) {
            margin-left: 3px;
            margin-right: 3px;
        }
    }
    .ngdialog.ngdialog-bonus .ngdialog-content {
        min-height: 540px;
    }

    .ngdialog-theme-tc .ngdialog-content {
        position: relative;
        /*height: 100%;*/
    }

    .ngdialog-theme-tc .tc-bg {
        position: relative;
        height: calc(100% - 120px);
        top: 25px;
    }

    .ngdialog-theme-tc .message-panel {
        height: 100%;
        /*overflow-y: scroll;*/
    }

    .ngdialog-theme-tc .tc-height-fix {
        height: 100%;
        height:-webkit-fill-available;
    }

    .ngdialog-theme-tc iframe {
        border: none;
        margin: auto;
        display: block;
    }

    .ngdialog-theme-tc .button-container {
        position: relative;
        bottom: 0;
        width: 100%;
        background-color: white;
        margin-left: auto;
        margin-right:auto;
    }

    .main-row.header-container {
        margin-bottom: -1px;
    }
    body div.main-profile-nav {
        min-height: 40px;
    }

    .middle-section .content {
        padding: 0px 10px 0 10px!important;
    }


    .index-bodyMarginTop {
        /*margin-top: 125px!important;*/
        margin-right: auto!important;
        margin-bottom: 30px!important;
        margin-left: auto!important;
        /*overflow-y: scroll;*/
    }

    .header-container {
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 2;
    }

    .main-header {
        min-height: 50px!important;
    }
    
    .main-header .avaTrade-logo {
        margin-top: 8px!important;
        width: 200px!important;
        position: absolute;       
    }
        .main-header .avaTrade-logo.vip-level-logo {
            margin-top: 0 !important;
            width: auto !important;
            position: absolute;
            left: 50%;
            transform: translate(-50%, -50%);
        }

    .main-header .avaTrade-logo-2024 {
        width: 200px !important;
    }
    
    .main-header .intertrader-logo {
      position: relative;
      width: 200px !important;
      margin-top: 0px !important;
    }

    /*This styles are needed for old logo*/
    .main-header .avaTrade-logo.ava-logo {
        clip: rect(0px,70px,200px,0px);
    }
    .main-header .avaTrade-logo.atrade-logo {
        clip: rect(0px,200px,200px,0px);
    }

    .myAvaRtl .main-header .avaTrade-logo {
        left: 60%;
    }

        .myAvaRtl .main-header .avaTrade-logo.atrade-logo {
            left: 13%;
        }

    .main-header .avaTrade-logo.ava-logo.vip-level-logo {
        clip: initial;
    }


	.main-header .help-icon {
		font-size: 26px;
		background-color: #fff;
		color: #2882C0;
		color: var(--primary, #2882C0);
		margin-top: 12px;
	}

    .nav {
        /*margin-top: -200px;
        z-index: 1000;*/
    }

	.navbar-toggle .icon-bar {
		background-color: #2882C0;
		background-color: var(--primary, #2882C0);
	}


    .index-bodyContainer {
        width: 100%!important;
    }


        .index-bodyContainer .balance,
        .index-bodyContainer .welcom {
            font-size: 13px;
            padding-top: 10px;
            padding-bottom: 10px;
        }

        .index-bodyContainer .total-balance-container div.balance {
            white-space: normal;
            float: none;
            margin-left: -15px;
            justify-content: flex-end;
        }

        .index-bodyContainer .left-menu-holder,
        .myAvaRtl .stretch-my-account .left-menu-holder {
            position: absolute;
            padding: 0px;
            width: 100%;
            z-index: 1000;
            background-color: #F4F6F6;
            background-color: var(--background-dark, #F4F6F6);
            min-height: 0px;
        }

    .myAvaRtl .index-bodyContainer .left-menu-holder {
        min-height: 0px;
    }

    .total-balance-container .balance-pad {
        padding-left: 0px;
    }

    .main-aside-li {
        background-color: #fff;
        /*margin-left:0px;
        margin-right: 0px;*/
    }


		.main-aside-li .glyphicon-menu-right {
			color: #2882C0;
			color: var(--primary, #2882C0);
		}

        .main-aside-li.selected .glyphicon-menu-right {
            color: #fff;
        }

        .mainwrapper--burger-open {
            position: fixed !important;
        } 
    .main-aside-nav {
        margin-top: 90px;
        height: 92% !important;
        width: 0;
        position: fixed;
        z-index: 1;
        top: 0;
        left: 0;
        background-color: #f4f6f6;
        background-color: var(--background-dark, #f4f6f6);
        overflow-x: hidden;
        transition: 0.5s;
        padding-top: 60px;
        text-align: center;
    }

    .myAvaRtl .main-aside-nav {
        right: 0;
    }

        .myAvaRtl .main-aside-nav.navbar-collapse {
            padding-right: 0!important;
            padding-left: 0!important;
        }

    .main-aside-nav .nav {
        margin-bottom: 165px;
    }

    /*.main-aside-nav.toggled{
        width:100%!important;
    }*/
    .navbar-collapse.in {
        width: 100%!important;
        transition: 0.3s;
    }

    .main-aside-nav .side-menu-icon {
        height: 23px;
    }

    .main-aside-nav .side-add-account-btn-box {
        width: 100%;
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
    }

        .main-aside-nav .side-add-account-btn-box .addAccountBtn {
            width: 100%;
            position: fixed;
            bottom: 0;
            height: 34px;
            /* next two rows are workaround for Android Chrome bug */
            -webkit-transform: translateZ(0);
            transform: translateZ(0);
        }

    .side-add-account-btn-box .collapse-width {
        bottom: 50px;
        width: 100%!important;
    }

    .main-aside-nav .side-menu-item {
        display: inline-block;
        margin-top: 15px;
    }

	.main-aside-nav .bonus-header.side-menu-item,
	.main-aside-nav .bonus-aside-li .glyphicon-menu-right {
		color: #82bb41;
		color: var(--accent, #82bb41);
		text-transform: capitalize;
	}


    /*Use li insted of padding*/
    .empty-li {
        height: 20px;
        margin-left: -20px;
        margin-right: -20px;
        background: transparent;
    }



    /*LOGIN*/
    .avatrade-login .btn-cancel {
        width: 100%!important;
        float: left;
    }

    .avatrade-login .btn-submit {
        width: 100%!important;
        float: right;
    }

    .avatrade-login #AvasLogWidget a#AvasWidgetFPReturn {
        width: 100%;
    }

    .avatrade-login #AvasLogWidget .avasLoginlink a {
        width: 100%;
    }

    .avatrade-login #AvasLogWidget {
        padding: 15px;
    }

    .uiview-content-box {
        min-height: 480px;
        padding-bottom: 30px;
    }

        .uiview-content-box .avatrade-login #AvasLogWidget {
            max-width: 100%;
        }

        .uiview-content-box .wrapper {
            padding: 0px;
        }

            .uiview-content-box .wrapper .avatrade-login #AvasLogWidget legend {
                text-transform: capitalize;
                font-weight: normal;
            }

            .uiview-content-box .wrapper .myAvaBootstrap legend {
                border: none;
            }

            .uiview-content-box .wrapper .hline {
                margin-left: 15px;
                margin-right: 15px;
                width: auto;
            }

            .uiview-content-box .wrapper .hp-box {
                width: 100%;
                /* padding below is to adjust to login widget's width */
                padding-left: 5px;
                padding-right: 5px;
            }

            .uiview-content-box .wrapper .hp-submit-btn {
                width: 100%;
            }

    .myAvaLtr .pull-dir {
        text-align: left;
        padding-left: 15px!important;
        overflow-y: scroll;
        height: 500px;
    }


.missing-all-documents-eu-popup {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}

.missing-tin-documents-eu-popup {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}

.missing-all-documents-eu-popup h3 {
    width: 239px;
    line-height: 23px;
    font-weight: 700;
    font-size: 24px;
    color: #101820;
    text-align: center;
    font-family: 'SuisseIntl-Bold';
    margin: 0;
}

.missing-tin-documents-eu-popup h3 {
    width: 300px;
    line-height: 23px;
    font-weight: 700;
    font-size: 24px;
    color: #101820;
    text-align: center;
    font-family: 'SuisseIntl-Bold';
    margin: 0;
}

.missing-all-documents-eu-popup .popupText {
    width: 100%;
    font-weight: 400;
    font-size: 18px;
    line-height: 27px;
    text-align: center;
    font-family: 'SuisseIntl-Regular';
}

.missing-tin-documents-eu-popup .popupText {
    width: 330px;
    font-weight: 400;
    font-size: 18px;
    line-height: 27px;
    text-align: center;
    font-family: 'SuisseIntl-Regular';
}

.missing-all-documents-eu-popup .popupTextBold {
    width: 266px;
    font-weight: 600;
    font-size: 18px;
    line-height: 27px;
    text-align: center;
    font-family: 'SuisseIntl-Regular';
}

.missing-all-documents-eu-popup .actions-container {
    display: flex;
    justify-content: center;
    width: 100%;
}

.missing-tin-documents-eu-popup .actions-container {
    display: flex;
    justify-content: center;
    margin-top: 24px;
}

.missing-all-documents-eu-popup .actions-container .btn.btn-success {
    width: 100%;
    height: 50px;
    background-color: #4C61FF;
    border: 0;
    font-weight: 600;
    font-size: 18px;
}

.missing-tin-documents-eu-popup .actions-container .btn.btn-success {
    width: 300px;
    height: 50px;
    background-color: #4C61FF;
    border: 0;
    font-weight: 600;
    font-size: 18px;
}

    .upgrade-account-popup {
        padding: 16px;
    }

        .upgrade-account-popup h3 {
            margin-top: 10px;
            margin-bottom: 14px;
            color: #2C85C1;
        }

        .upgrade-account-popup hr {
            margin-bottom: 12px!important;
        }

        .upgrade-account-popup .button-container {
            margin-top: 10px;
            margin-bottom: 0px;
        }

            .upgrade-account-popup .button-container .btn.btn-success,
            .upgrade-account-popup .button-container .btn-success:hover,
            .upgrade-account-popup .button-container .btn-success:focus,
            .upgrade-account-popup .button-container .btn-success.focus,
            .upgrade-account-popup .button-container .btn-success:active,
            .upgrade-account-popup .button-container .btn-success.active {
                border: 0;
                border-radius: 2px;
            }
    /*.right-menu-container {
        margin-top: 20px;
    }*/


    /* footer*/
    .footer-table {
        width: 100%;
    }

    .footer-wrapper .footer-disclaimer-img {
        max-width: 100%;
    }

    .footer-wrapper .footer-disclaimer-cnt {
        padding-top: 0px;
        font-size: 0.85em;
        width: 80%;
    }

    .myAvaRtl .footer-wrapper .footer-disclaimer-cnt {
        padding: 0px;
        font-size: 0.85em;
        width: 80%;
    }

    .footer-wrapper .footer-sign {
        padding-right: 0;
        margin-left: 10px;
        vertical-align: top;
    }

    .footer-sign {
        width: 20%;
        padding-right: 1%;
    }

    .footer-text {
        padding-left: 2%;
        padding-top: 0;
    }

    .mobile-form-placeholder {
        position: absolute;
        top: 5px;
        margin-left: 12px;
        display: inherit;
        color: #555;
        max-width: 74%;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }
    .mobile-icon {
        margin-left:0px !important;
    }
    .question-halfline{
        padding:0px !important;
    }

    .mobile-icon-upload{
        top:25px;
    }
    
    .myAvaRtl .mobile-form-placeholder {
        margin-right: 12px;
        margin-left: 0;
    }

    .myAvaRtl .main-header .navbar-toggle {
        margin-right: 15px;
        margin-left: 0;
    }
}



@media only screen and (max-width: 767px) and (orientation: landscape) {
    /* Bootstrap */
    body .ngdialog.ngdialog-theme-default {
        padding-top: 5%!important;
    }

    body .avatrade-login #AvasLogWidget {
        max-width: 100%!important;
    }

    .main-header .help-icon {
        float: right;
    }
}

/*@media (max-width: 767px) { 
    .main-header {
        height: 50px;
        min-height: 50px;
    }

        .main-header .avaTrade-logo {
            margin-top: 11px;
            width: auto;
            position: absolute;
            clip: rect(0px,118px,200px,0px);
        }
}*/




/*Tablets*/
@media (min-device-width: 768px) and (max-device-width: 1200px) {
	.navbar-toggle .icon-bar {
		background-color: #2882C0;
		background-color: var(--primary, #2882C0);
	}

    .navbar-toggle .icon-bar {
        width: 40px;
        height: 6px;
    }
    .main-aside-li {
    background-color: #fff;
}

    .header-container{
            position: fixed;
    top: 0;
    width: 100%;
    z-index: 2;
    }
    .empty-li {
    height: 20px;
    margin-left: -20px;
    margin-right: -20px;
    background: transparent;
}
    .index-bodyMarginTop {
    /* margin-top: 125px!important; */
    margin-right: auto!important;
    margin-bottom: 30px!important;
    margin-left: auto!important;
    /* overflow-y: scroll; */
}
    .index-bodyContainer {
    min-width: inherit!important;
}

    .main-header .navbar-toggle-x {
    margin-top:24px;
    font-size: xx-large;

}

}

/**dialog flex fix**/
/*
.ngdialog.ngdialog-theme-default {
    display: flex;
    align-items: center;
    justify-content: center;
    padding:0 !important;
}
    .ngdialog.ngdialog-theme-default .ngdialog-content {
        height: auto;
        max-height: 100vh;
        //overflow:auto;
    }
        .ngdialog.ngdialog-theme-default .ngdialog-content > div:first-child {
            //display: flex;
            //flex-direction: column;
        }
        .ngdialog.ngdialog-theme-default .ngdialog-content .tc-popup {
        
        }
        .ngdialog.ngdialog-theme-default .ngdialog-content .tc-popup .tc-content {
            overflow-y: scroll;
            overflow-x: hidden;
            max-height: 80vh;
            height: auto;
            flex: 1 1 auto;
        }
.ngdialog .button-container .row {
    display:flex;
    justify-content:space-between;
}
    .ngdialog .button-container .row > div {
        flex: 0 1 auto;
        margin: 0 !important;
        min-width: max-content;
    }
.ngdialog .button-container button.btn {
    margin: 0;
}
.ngdialog .ngdialog-content .ngdialog-close {
    z-index:9999;
}
*/

/*AVA DIALOG*/
.ngdialog.ava-dialog {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 !important;
    margin: 0 !important;
    overflow: hidden;
}
    .ngdialog.ava-dialog .ngdialog-content {
        overflow: auto;
        /*margin:0 !important;*/
        padding:15px;
    }
    .ngdialog.ava-dialog .ava-dialog--container {
        direction: ltr; 
        background-color: white; 
        /*font-family: 'Open Sans', sans-serif;*/ 
        border-radius: 2px;
        z-index: 2000;
        line-height: 1.8;

        overflow: hidden;
        display: flex;
        flex-direction:column;
        height: auto;
        max-height: calc(100vh - 80px);
        padding: 0;
    }
    .myAvaRtl .ngdialog.ava-dialog .ava-dialog--container {
        direction:rtl;
    }
        .ngdialog.ava-dialog .ava-dialog--container .ava-dialog--header, 
        .ngdialog.ava-dialog .ava-dialog--container .ava-dialog--buttons {
            /*flex: 0 0 auto;*//*IE shortcut bug*/
            flex-grow:0;
            flex-shrink:0;
            flex-basis:auto;
        }
.ngdialog.ava-dialog .ava-dialog--container .ava-dialog--header {
	color: #2882C0;
	color: var(--primary, #2882C0);
	padding: 10px 0;
	margin: 0;
}
        .ngdialog.ava-dialog .ava-dialog--container .ava-dialog--content {
            overflow-y:auto;
            flex-grow:1;
            flex-shrink:1;
            flex-basis:auto;
            display: flex;
            flex-wrap: wrap;
            max-height: 80vh; /*IE child height fix*/
        }
        .ngdialog.ava-dialog .ava-dialog--container .ava-dialog--buttons {
            padding: 10px 0;
            align-self: center;
            display:flex;
            justify-content:space-between;
            width: 100%;
        }
            .ngdialog.ava-dialog .ava-dialog--container .ava-dialog--buttons .ava-dialog--buttons-accept,
            .ngdialog.ava-dialog .ava-dialog--container .ava-dialog--buttons .ava-dialog--buttons-close {
                flex-grow:0;
                flex-shrink:1;
                flex-basis:auto;
            }
        .ngdialog.ava-dialog .ava-dialog--container .ava-dialog--buttons .btn {
            margin: 0;
            min-width: max-content;
        }
.ngdialog.ava-dialog .ngdialog-content .ngdialog-close {
    z-index:9999;
}

/*AVA DIALOG - ADDITIONAL*/
    .ava-dialog dl dt {
        padding-left:5px;
    }
    .ava-dialog dl dd {
        margin-bottom: 1em;
    }
    .ava-dialog h2,
    .ava-dialog dl dt {
        background-color: #2E7D9E;
        color: white;
        border-radius: 5px;
    }

.flex-wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
    -webkit-overflow-scrolling: touch;
}

	.flex-wrapper > .header-container {
		position:static;
	}
	.flex-wrapper > .container {
		overflow: auto;
		margin: 0 !important;
	}

.ava-device-mobile {
    -webkit-overflow-scrolling: touch;
}


select.accounts-select-header {
    padding-left: 2px !Important;
    padding: 5px;
    font-size: 15px;
    line-height: inherit;
    border: 0;
    border-radius: 3px !important;
    height: 34px;
    background: url(/images/arrow-down-white.png) no-repeat right #ffffff;
    -webkit-appearance: none;
    -webkit-padding-end: 20px;
    background-position: calc(100% - 8px);
    border: 1px solid #ccc;
    -moz-appearance: none;
    text-indent: 1px;
    text-overflow: ellipsis;
}

.praxis-width {
    width: 100%;
    overflow-x: hidden;
}


@supports (-webkit-overflow-scrolling: touch) { /* Fixes autoscroll on field-focus issue on ios devices */
    body, html {
        overflow-y: scroll !important;
    }
}


/* fix specific for ipad pro 12.9*/
@media (min-device-width: 768px) and (max-device-width: 1200px) and (orientation:landscape) {
    
    .header-container {
        position: relative;
    }

    .main-aside-nav {
        width: inherit;
        position: inherit !important;
        margin-top: inherit !important;
    }
}
